<template>
  <div>
    Filter Todos:
    <select v-model="limit" @change="onSelectionChange()">
      <option value="200">200</option>
      <option value="100">100</option>
      <option value="50">50</option>
      <option value="20">20</option>
      <option value="10">10</option>
      <option value="5">5</option>
    </select>
  </div>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: "FilterTodos",
  data() {
    return {
      // when I bind this variable to <select> => it's value will be used as default for <select>
      limit: 200
    };
  },
  methods: {
    ...mapActions(["fetchTodosWithLimit"]),
    onSelectionChange() {
      this.fetchTodosWithLimit(this.limit);
    }
  }
};
</script>

<style scoped>
</style>